#ifndef	_mach4_user_
#define	_mach4_user_

/* Module mach4 */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>

/* Routine task_enable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __task_enable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, tick, flavor)
	mach_port_t host;
	int *tick;
	sampled_pc_flavor_t flavor;
{ return __task_enable_pc_sampling(host, tick, flavor); }
#else
(
	mach_port_t host,
	int *tick,
	sampled_pc_flavor_t flavor
);
#endif

/* Routine task_disable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __task_disable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, samplecnt)
	mach_port_t host;
	int *samplecnt;
{ return __task_disable_pc_sampling(host, samplecnt); }
#else
(
	mach_port_t host,
	int *samplecnt
);
#endif

/* Routine task_get_sampled_pcs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __task_get_sampled_pcs
#if	defined(LINTLIBRARY)
    (host, seqno, sampled_pcs, sampled_pcsCnt)
	mach_port_t host;
	sampled_pc_seqno_t *seqno;
	sampled_pc_array_t sampled_pcs;
	mach_msg_type_number_t *sampled_pcsCnt;
{ return __task_get_sampled_pcs(host, seqno, sampled_pcs, sampled_pcsCnt); }
#else
(
	mach_port_t host,
	sampled_pc_seqno_t *seqno,
	sampled_pc_array_t sampled_pcs,
	mach_msg_type_number_t *sampled_pcsCnt
);
#endif

/* Routine thread_enable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __thread_enable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, tick, flavor)
	mach_port_t host;
	int *tick;
	sampled_pc_flavor_t flavor;
{ return __thread_enable_pc_sampling(host, tick, flavor); }
#else
(
	mach_port_t host,
	int *tick,
	sampled_pc_flavor_t flavor
);
#endif

/* Routine thread_disable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __thread_disable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, samplecnt)
	mach_port_t host;
	int *samplecnt;
{ return __thread_disable_pc_sampling(host, samplecnt); }
#else
(
	mach_port_t host,
	int *samplecnt
);
#endif

/* Routine thread_get_sampled_pcs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __thread_get_sampled_pcs
#if	defined(LINTLIBRARY)
    (host, seqno, sampled_pcs, sampled_pcsCnt)
	mach_port_t host;
	sampled_pc_seqno_t *seqno;
	sampled_pc_array_t sampled_pcs;
	mach_msg_type_number_t *sampled_pcsCnt;
{ return __thread_get_sampled_pcs(host, seqno, sampled_pcs, sampled_pcsCnt); }
#else
(
	mach_port_t host,
	sampled_pc_seqno_t *seqno,
	sampled_pc_array_t sampled_pcs,
	mach_msg_type_number_t *sampled_pcsCnt
);
#endif

/* Routine timer_create */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_create
#if	defined(LINTLIBRARY)
    (clock, timer)
	mach_port_t clock;
	mach_port_t *timer;
{ return __timer_create(clock, timer); }
#else
(
	mach_port_t clock,
	mach_port_t *timer
);
#endif

/* Routine timer_terminate */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_terminate
#if	defined(LINTLIBRARY)
    (timer)
	mach_port_t timer;
{ return __timer_terminate(timer); }
#else
(
	mach_port_t timer
);
#endif

/* Routine timer_get_evc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_get_evc
#if	defined(LINTLIBRARY)
    (timer, event)
	mach_port_t timer;
	natural_t *event;
{ return __timer_get_evc(timer, event); }
#else
(
	mach_port_t timer,
	natural_t *event
);
#endif

/* Routine timer_arm_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_arm_rpc
#if	defined(LINTLIBRARY)
    (timer, expire_time, interval_time, expire_port, thread, flags)
	mach_port_t timer;
	time_spec_t expire_time;
	time_spec_t interval_time;
	mach_port_t expire_port;
	mach_port_t thread;
	int flags;
{ return __timer_arm_rpc(timer, expire_time, interval_time, expire_port, thread, flags); }
#else
(
	mach_port_t timer,
	time_spec_t expire_time,
	time_spec_t interval_time,
	mach_port_t expire_port,
	mach_port_t thread,
	int flags
);
#endif

/* Routine timer_sleep_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_sleep_rpc
#if	defined(LINTLIBRARY)
    (timer, expire_time, flags, wakeup_time)
	mach_port_t timer;
	time_spec_t expire_time;
	int flags;
	time_spec_t *wakeup_time;
{ return __timer_sleep_rpc(timer, expire_time, flags, wakeup_time); }
#else
(
	mach_port_t timer,
	time_spec_t expire_time,
	int flags,
	time_spec_t *wakeup_time
);
#endif

/* Routine timer_cancel_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_cancel_rpc
#if	defined(LINTLIBRARY)
    (timer, flags)
	mach_port_t timer;
	int flags;
{ return __timer_cancel_rpc(timer, flags); }
#else
(
	mach_port_t timer,
	int flags
);
#endif

/* Routine timer_info */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __timer_info
#if	defined(LINTLIBRARY)
    (target_timer, flavor, clock, expire_port, thread, timer_info_out, timer_info_outCnt)
	mach_port_t target_timer;
	int flavor;
	mach_port_t *clock;
	mach_port_t *expire_port;
	mach_port_t *thread;
	mach_timer_info_t timer_info_out;
	mach_msg_type_number_t *timer_info_outCnt;
{ return __timer_info(target_timer, flavor, clock, expire_port, thread, timer_info_out, timer_info_outCnt); }
#else
(
	mach_port_t target_timer,
	int flavor,
	mach_port_t *clock,
	mach_port_t *expire_port,
	mach_port_t *thread,
	mach_timer_info_t timer_info_out,
	mach_msg_type_number_t *timer_info_outCnt
);
#endif

/* Routine thread_get_periodic_timers */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __thread_get_periodic_timers
#if	defined(LINTLIBRARY)
    (thread, wakeup_timer, deadline_timer)
	mach_port_t thread;
	mach_port_t *wakeup_timer;
	mach_port_t *deadline_timer;
{ return __thread_get_periodic_timers(thread, wakeup_timer, deadline_timer); }
#else
(
	mach_port_t thread,
	mach_port_t *wakeup_timer,
	mach_port_t *deadline_timer
);
#endif

/* Routine thread_set_periodic_timers */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __thread_set_periodic_timers
#if	defined(LINTLIBRARY)
    (thread, wakeup_timer, deadline_timer)
	mach_port_t thread;
	mach_port_t wakeup_timer;
	mach_port_t deadline_timer;
{ return __thread_set_periodic_timers(thread, wakeup_timer, deadline_timer); }
#else
(
	mach_port_t thread,
	mach_port_t wakeup_timer,
	mach_port_t deadline_timer
);
#endif

/* Routine periodic_thread_create */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __periodic_thread_create
#if	defined(LINTLIBRARY)
    (parent_task, clock, param, deadline_port, initial_flavor, initial_state, initial_stateCnt, thread)
	mach_port_t parent_task;
	mach_port_t clock;
	policy_param_realtime_t param;
	mach_port_t deadline_port;
	int initial_flavor;
	thread_state_t initial_state;
	mach_msg_type_number_t initial_stateCnt;
	mach_port_t *thread;
{ return __periodic_thread_create(parent_task, clock, param, deadline_port, initial_flavor, initial_state, initial_stateCnt, thread); }
#else
(
	mach_port_t parent_task,
	mach_port_t clock,
	policy_param_realtime_t param,
	mach_port_t deadline_port,
	int initial_flavor,
	thread_state_t initial_state,
	mach_msg_type_number_t initial_stateCnt,
	mach_port_t *thread
);
#endif

/* Routine periodic_thread_restart_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t __periodic_thread_restart_rpc
#if	defined(LINTLIBRARY)
    (thread)
	mach_port_t thread;
{ return __periodic_thread_restart_rpc(thread); }
#else
(
	mach_port_t thread
);
#endif


/* Module mach4 */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>

/* Routine task_enable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t task_enable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, tick, flavor)
	mach_port_t host;
	int *tick;
	sampled_pc_flavor_t flavor;
{ return task_enable_pc_sampling(host, tick, flavor); }
#else
(
	mach_port_t host,
	int *tick,
	sampled_pc_flavor_t flavor
);
#endif

/* Routine task_disable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t task_disable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, samplecnt)
	mach_port_t host;
	int *samplecnt;
{ return task_disable_pc_sampling(host, samplecnt); }
#else
(
	mach_port_t host,
	int *samplecnt
);
#endif

/* Routine task_get_sampled_pcs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t task_get_sampled_pcs
#if	defined(LINTLIBRARY)
    (host, seqno, sampled_pcs, sampled_pcsCnt)
	mach_port_t host;
	sampled_pc_seqno_t *seqno;
	sampled_pc_array_t sampled_pcs;
	mach_msg_type_number_t *sampled_pcsCnt;
{ return task_get_sampled_pcs(host, seqno, sampled_pcs, sampled_pcsCnt); }
#else
(
	mach_port_t host,
	sampled_pc_seqno_t *seqno,
	sampled_pc_array_t sampled_pcs,
	mach_msg_type_number_t *sampled_pcsCnt
);
#endif

/* Routine thread_enable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t thread_enable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, tick, flavor)
	mach_port_t host;
	int *tick;
	sampled_pc_flavor_t flavor;
{ return thread_enable_pc_sampling(host, tick, flavor); }
#else
(
	mach_port_t host,
	int *tick,
	sampled_pc_flavor_t flavor
);
#endif

/* Routine thread_disable_pc_sampling */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t thread_disable_pc_sampling
#if	defined(LINTLIBRARY)
    (host, samplecnt)
	mach_port_t host;
	int *samplecnt;
{ return thread_disable_pc_sampling(host, samplecnt); }
#else
(
	mach_port_t host,
	int *samplecnt
);
#endif

/* Routine thread_get_sampled_pcs */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t thread_get_sampled_pcs
#if	defined(LINTLIBRARY)
    (host, seqno, sampled_pcs, sampled_pcsCnt)
	mach_port_t host;
	sampled_pc_seqno_t *seqno;
	sampled_pc_array_t sampled_pcs;
	mach_msg_type_number_t *sampled_pcsCnt;
{ return thread_get_sampled_pcs(host, seqno, sampled_pcs, sampled_pcsCnt); }
#else
(
	mach_port_t host,
	sampled_pc_seqno_t *seqno,
	sampled_pc_array_t sampled_pcs,
	mach_msg_type_number_t *sampled_pcsCnt
);
#endif

/* Routine timer_create */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_create
#if	defined(LINTLIBRARY)
    (clock, timer)
	mach_port_t clock;
	mach_port_t *timer;
{ return timer_create(clock, timer); }
#else
(
	mach_port_t clock,
	mach_port_t *timer
);
#endif

/* Routine timer_terminate */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_terminate
#if	defined(LINTLIBRARY)
    (timer)
	mach_port_t timer;
{ return timer_terminate(timer); }
#else
(
	mach_port_t timer
);
#endif

/* Routine timer_get_evc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_get_evc
#if	defined(LINTLIBRARY)
    (timer, event)
	mach_port_t timer;
	natural_t *event;
{ return timer_get_evc(timer, event); }
#else
(
	mach_port_t timer,
	natural_t *event
);
#endif

/* Routine timer_arm_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_arm_rpc
#if	defined(LINTLIBRARY)
    (timer, expire_time, interval_time, expire_port, thread, flags)
	mach_port_t timer;
	time_spec_t expire_time;
	time_spec_t interval_time;
	mach_port_t expire_port;
	mach_port_t thread;
	int flags;
{ return timer_arm_rpc(timer, expire_time, interval_time, expire_port, thread, flags); }
#else
(
	mach_port_t timer,
	time_spec_t expire_time,
	time_spec_t interval_time,
	mach_port_t expire_port,
	mach_port_t thread,
	int flags
);
#endif

/* Routine timer_sleep_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_sleep_rpc
#if	defined(LINTLIBRARY)
    (timer, expire_time, flags, wakeup_time)
	mach_port_t timer;
	time_spec_t expire_time;
	int flags;
	time_spec_t *wakeup_time;
{ return timer_sleep_rpc(timer, expire_time, flags, wakeup_time); }
#else
(
	mach_port_t timer,
	time_spec_t expire_time,
	int flags,
	time_spec_t *wakeup_time
);
#endif

/* Routine timer_cancel_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_cancel_rpc
#if	defined(LINTLIBRARY)
    (timer, flags)
	mach_port_t timer;
	int flags;
{ return timer_cancel_rpc(timer, flags); }
#else
(
	mach_port_t timer,
	int flags
);
#endif

/* Routine timer_info */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t timer_info
#if	defined(LINTLIBRARY)
    (target_timer, flavor, clock, expire_port, thread, timer_info_out, timer_info_outCnt)
	mach_port_t target_timer;
	int flavor;
	mach_port_t *clock;
	mach_port_t *expire_port;
	mach_port_t *thread;
	mach_timer_info_t timer_info_out;
	mach_msg_type_number_t *timer_info_outCnt;
{ return timer_info(target_timer, flavor, clock, expire_port, thread, timer_info_out, timer_info_outCnt); }
#else
(
	mach_port_t target_timer,
	int flavor,
	mach_port_t *clock,
	mach_port_t *expire_port,
	mach_port_t *thread,
	mach_timer_info_t timer_info_out,
	mach_msg_type_number_t *timer_info_outCnt
);
#endif

/* Routine thread_get_periodic_timers */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t thread_get_periodic_timers
#if	defined(LINTLIBRARY)
    (thread, wakeup_timer, deadline_timer)
	mach_port_t thread;
	mach_port_t *wakeup_timer;
	mach_port_t *deadline_timer;
{ return thread_get_periodic_timers(thread, wakeup_timer, deadline_timer); }
#else
(
	mach_port_t thread,
	mach_port_t *wakeup_timer,
	mach_port_t *deadline_timer
);
#endif

/* Routine thread_set_periodic_timers */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t thread_set_periodic_timers
#if	defined(LINTLIBRARY)
    (thread, wakeup_timer, deadline_timer)
	mach_port_t thread;
	mach_port_t wakeup_timer;
	mach_port_t deadline_timer;
{ return thread_set_periodic_timers(thread, wakeup_timer, deadline_timer); }
#else
(
	mach_port_t thread,
	mach_port_t wakeup_timer,
	mach_port_t deadline_timer
);
#endif

/* Routine periodic_thread_create */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t periodic_thread_create
#if	defined(LINTLIBRARY)
    (parent_task, clock, param, deadline_port, initial_flavor, initial_state, initial_stateCnt, thread)
	mach_port_t parent_task;
	mach_port_t clock;
	policy_param_realtime_t param;
	mach_port_t deadline_port;
	int initial_flavor;
	thread_state_t initial_state;
	mach_msg_type_number_t initial_stateCnt;
	mach_port_t *thread;
{ return periodic_thread_create(parent_task, clock, param, deadline_port, initial_flavor, initial_state, initial_stateCnt, thread); }
#else
(
	mach_port_t parent_task,
	mach_port_t clock,
	policy_param_realtime_t param,
	mach_port_t deadline_port,
	int initial_flavor,
	thread_state_t initial_state,
	mach_msg_type_number_t initial_stateCnt,
	mach_port_t *thread
);
#endif

/* Routine periodic_thread_restart_rpc */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t periodic_thread_restart_rpc
#if	defined(LINTLIBRARY)
    (thread)
	mach_port_t thread;
{ return periodic_thread_restart_rpc(thread); }
#else
(
	mach_port_t thread
);
#endif

#endif	/* not defined(_mach4_user_) */
